RMAIL(1zm)

NAME
rmail - zmailer program to process incoming uucp mail

SYNOPSIS

rmail
    [-d] [-h somewhere] recipient...

DESCRIPTION
The rmail (1zm) is usually invoked by a remote UUCP neighbour host's mailer using a command line like:

    uux - -r -asender -gC thishost!rmail (recipient1) (recipient2) ...

The end result is the remote neighbour's uuxqt(8) runs rmail(1zm) on thishost with this command line:

    rmail recipient1 recipient2 ...

In both cases, a UUCP format mail message is on the standard input.

The task of rmail(1zm) is to transform the trace information in the UUCP format message to the equivalent RFC822 trace information, and to submit the message to the ZMailer router(8zm) with the appropriate envelope information.

The expected input format looks like:

    From address3  date3 remote from host3
    >From address2  date2 remote from host2
    >From address1  date1 remote from host1

followed by the rest of the message. This is considered equivalent to the following (as it might appear in a mailbox):

    From host3!host2!host1!address1 date
    Received: by host3 ... ; date3
    Received: by host2 ... ; date2
    Received: by host1 ... ; date1

In order for the mailer to process the incoming message properly, rmail(1zm) must be run by a userid which the router(8zm) will accept forged mail from. This is normally the uucp account id.

OPTIONS

-d  turns on debugging output.

-h somewhere
    will use the argument as the default remote UUCP host name to use if there is no "remote from host" tag in the first From-space line in the message. The default value for this is usually somewhere or uunet (since uunet was a frequent purveyor of this protocol violation).

FILES
/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/spool/postoffice | (POSTOFFICE)

SEE ALSO
router(8zm), zmailer(8zm), zmailer.conf(5zm).

AUTHOR
This program authored and copyright by:
    Rayan Zachariassen <no address>